> ## Documentation Index
> Fetch the complete documentation index at: https://docs.robase.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# SMS carrier analytics



## OpenAPI

````yaml GET /sms/analytics/carriers
openapi: 3.1.0
info:
  title: Robase API
  version: '2026-04-17'
  description: Transactional email and programmable SMS for Africa.
  contact:
    email: support@robase.dev
    url: https://robase.dev
  license:
    name: Proprietary
servers:
  - url: https://api.robase.dev/v1
    description: Production
security:
  - bearerAuth: []
paths:
  /sms/analytics/carriers:
    get:
      tags:
        - SMS
      summary: Per-carrier analytics
      operationId: smsCarrierAnalytics
      parameters:
        - in: query
          name: days
          schema:
            type: integer
            maximum: 90
            default: 7
      responses:
        '200':
          description: OK
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CarrierBreakdown'
components:
  schemas:
    CarrierBreakdown:
      type: object
      properties:
        window_days:
          type: integer
        carriers:
          type: array
          items:
            type: object
            properties:
              Carrier:
                type: string
              Total:
                type: integer
              Delivered:
                type: integer
              Failed:
                type: integer
              Segments:
                type: integer
              CostKobo:
                type: integer
                format: int64
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: rb_<env>_<token>
      description: 'Pass your API key as `Authorization: Bearer rb_live_...`'

````